io.vertx.rxjava.redis.client

## Class RedisAPI

- java.lang.Object
- - io.vertx.rxjava.redis.client.RedisAPI

-     public class RedisAPI
      extends Object

  Auto generated Redis API client wrapper.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisAPI>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisAPI(RedisAPI delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisAPI` | `api(Redis client)`
    `RedisAPI` | `append(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `appendObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `asking(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `askingObservable()` Deprecated.
    `RedisAPI` | `auth(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `authObservable(String arg0)` Deprecated.
    `RedisAPI` | `bgrewriteaof(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bgrewriteaofObservable()` Deprecated.
    `RedisAPI` | `bgsave(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bgsaveObservable(List<String> args)` Deprecated.
    `RedisAPI` | `bitcount(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bitcountObservable(List<String> args)` Deprecated.
    `RedisAPI` | `bitfield(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bitfieldObservable(List<String> args)` Deprecated.
    `RedisAPI` | `bitop(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bitopObservable(List<String> args)` Deprecated.
    `RedisAPI` | `bitpos(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bitposObservable(List<String> args)` Deprecated.
    `RedisAPI` | `blpop(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `blpopObservable(List<String> args)` Deprecated.
    `RedisAPI` | `brpop(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `brpoplpush(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `brpoplpushObservable(String arg0, String arg1, String arg2)` Deprecated.
    `Observable<Response>` | `brpopObservable(List<String> args)` Deprecated.
    `RedisAPI` | `bzpopmax(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bzpopmaxObservable(List<String> args)` Deprecated.
    `RedisAPI` | `bzpopmin(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `bzpopminObservable(List<String> args)` Deprecated.
    `RedisAPI` | `client(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `clientObservable(List<String> args)` Deprecated.
    `RedisAPI` | `cluster(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `clusterObservable(List<String> args)` Deprecated.
    `RedisAPI` | `command(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `commandObservable(List<String> args)` Deprecated.
    `RedisAPI` | `config(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `configObservable(List<String> args)` Deprecated.
    `RedisAPI` | `dbsize(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `dbsizeObservable()` Deprecated.
    `RedisAPI` | `debug(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `debugObservable(List<String> args)` Deprecated.
    `RedisAPI` | `decr(String arg0, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `decrby(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `decrbyObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `decrObservable(String arg0)` Deprecated.
    `RedisAPI` | `del(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `delObservable(List<String> args)` Deprecated.
    `RedisAPI` | `discard(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `discardObservable()` Deprecated.
    `RedisAPI` | `dump(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `dumpObservable(String arg0)` Deprecated.
    `RedisAPI` | `echo(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `echoObservable(String arg0)` Deprecated.
    `boolean` | `equals(Object o)`
    `RedisAPI` | `eval(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `evalObservable(List<String> args)` Deprecated.
    `RedisAPI` | `evalsha(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `evalshaObservable(List<String> args)` Deprecated.
    `RedisAPI` | `exec(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `execObservable()` Deprecated.
    `RedisAPI` | `exists(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `existsObservable(List<String> args)` Deprecated.
    `RedisAPI` | `expire(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `expireat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `expireatObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `expireObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `flushall(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `flushallObservable(List<String> args)` Deprecated.
    `RedisAPI` | `flushdb(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `flushdbObservable(List<String> args)` Deprecated.
    `RedisAPI` | `geoadd(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `geoaddObservable(List<String> args)` Deprecated.
    `RedisAPI` | `geodist(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `geodistObservable(List<String> args)` Deprecated.
    `RedisAPI` | `geohash(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `geohashObservable(List<String> args)` Deprecated.
    `RedisAPI` | `geopos(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `geoposObservable(List<String> args)` Deprecated.
    `RedisAPI` | `georadius(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `georadiusbymember(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `georadiusbymemberObservable(List<String> args)` Deprecated.
    `RedisAPI` | `georadiusbymemberRo(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `georadiusbymemberRoObservable(List<String> args)` Deprecated.
    `Observable<Response>` | `georadiusObservable(List<String> args)` Deprecated.
    `RedisAPI` | `georadiusRo(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `georadiusRoObservable(List<String> args)` Deprecated.
    `RedisAPI` | `get(String arg0, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `getbit(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `getbitObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `getDelegate()`
    `Observable<Response>` | `getObservable(String arg0)` Deprecated.
    `RedisAPI` | `getrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `getrangeObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `getset(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `getsetObservable(String arg0, String arg1)` Deprecated.
    `int` | `hashCode()`
    `RedisAPI` | `hdel(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hdelObservable(List<String> args)` Deprecated.
    `RedisAPI` | `hexists(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hexistsObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `hget(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `hgetall(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hgetallObservable(String arg0)` Deprecated.
    `Observable<Response>` | `hgetObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `hincrby(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `hincrbyfloat(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hincrbyfloatObservable(String arg0, String arg1, String arg2)` Deprecated.
    `Observable<Response>` | `hincrbyObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `hkeys(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hkeysObservable(String arg0)` Deprecated.
    `RedisAPI` | `hlen(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hlenObservable(String arg0)` Deprecated.
    `RedisAPI` | `hmget(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hmgetObservable(List<String> args)` Deprecated.
    `RedisAPI` | `hmset(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hmsetObservable(List<String> args)` Deprecated.
    `RedisAPI` | `host(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hostObservable(List<String> args)` Deprecated.
    `RedisAPI` | `hscan(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hscanObservable(List<String> args)` Deprecated.
    `RedisAPI` | `hset(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `hsetnx(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hsetnxObservable(String arg0, String arg1, String arg2)` Deprecated.
    `Observable<Response>` | `hsetObservable(List<String> args)` Deprecated.
    `RedisAPI` | `hstrlen(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hstrlenObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `hvals(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `hvalsObservable(String arg0)` Deprecated.
    `RedisAPI` | `incr(String arg0, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `incrby(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `incrbyfloat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `incrbyfloatObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `incrbyObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `incrObservable(String arg0)` Deprecated.
    `RedisAPI` | `info(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `infoObservable(List<String> args)` Deprecated.
    `RedisAPI` | `keys(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `keysObservable(String arg0)` Deprecated.
    `RedisAPI` | `lastsave(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lastsaveObservable()` Deprecated.
    `RedisAPI` | `latency(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `latencyObservable(List<String> args)` Deprecated.
    `RedisAPI` | `lindex(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lindexObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `linsert(String arg0, String arg1, String arg2, String arg3, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `linsertObservable(String arg0, String arg1, String arg2, String arg3)` Deprecated.
    `RedisAPI` | `llen(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `llenObservable(String arg0)` Deprecated.
    `RedisAPI` | `lolwut(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lolwutObservable(List<String> args)` Deprecated.
    `RedisAPI` | `lpop(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lpopObservable(String arg0)` Deprecated.
    `RedisAPI` | `lpush(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lpushObservable(List<String> args)` Deprecated.
    `RedisAPI` | `lpushx(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lpushxObservable(List<String> args)` Deprecated.
    `RedisAPI` | `lrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lrangeObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `lrem(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lremObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `lset(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `lsetObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `ltrim(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `ltrimObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `memory(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `memoryObservable(List<String> args)` Deprecated.
    `RedisAPI` | `mget(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `mgetObservable(List<String> args)` Deprecated.
    `RedisAPI` | `migrate(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `migrateObservable(List<String> args)` Deprecated.
    `RedisAPI` | `module(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `moduleObservable(List<String> args)` Deprecated.
    `RedisAPI` | `monitor(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `monitorObservable()` Deprecated.
    `RedisAPI` | `move(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `moveObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `mset(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `msetnx(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `msetnxObservable(List<String> args)` Deprecated.
    `Observable<Response>` | `msetObservable(List<String> args)` Deprecated.
    `RedisAPI` | `multi(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `multiObservable()` Deprecated.
    `static RedisAPI` | `newInstance(RedisAPI arg)`
    `RedisAPI` | `object(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `objectObservable(List<String> args)` Deprecated.
    `RedisAPI` | `persist(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `persistObservable(String arg0)` Deprecated.
    `RedisAPI` | `pexpire(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `pexpireat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pexpireatObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `pexpireObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `pfadd(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pfaddObservable(List<String> args)` Deprecated.
    `RedisAPI` | `pfcount(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pfcountObservable(List<String> args)` Deprecated.
    `RedisAPI` | `pfdebug(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pfdebugObservable(List<String> args)` Deprecated.
    `RedisAPI` | `pfmerge(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pfmergeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `pfselftest(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pfselftestObservable()` Deprecated.
    `RedisAPI` | `ping(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pingObservable(List<String> args)` Deprecated.
    `RedisAPI` | `post(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `postObservable(List<String> args)` Deprecated.
    `RedisAPI` | `psetex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `psetexObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `psubscribe(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `psubscribeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `psync(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `psyncObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `pttl(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pttlObservable(String arg0)` Deprecated.
    `RedisAPI` | `publish(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `publishObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `pubsub(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `pubsubObservable(List<String> args)` Deprecated.
    `RedisAPI` | `punsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `punsubscribeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `randomkey(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `randomkeyObservable()` Deprecated.
    `RedisAPI` | `readonly(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `readonlyObservable()` Deprecated.
    `RedisAPI` | `readwrite(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `readwriteObservable()` Deprecated.
    `RedisAPI` | `rename(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `renamenx(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `renamenxObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `renameObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `replconf(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `replconfObservable(List<String> args)` Deprecated.
    `RedisAPI` | `replicaof(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `replicaofObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `restore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `restoreAsking(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `restoreAskingObservable(List<String> args)` Deprecated.
    `Observable<Response>` | `restoreObservable(List<String> args)` Deprecated.
    `RedisAPI` | `role(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `roleObservable()` Deprecated.
    `RedisAPI` | `rpop(String arg0, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `rpoplpush(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `rpoplpushObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `rpopObservable(String arg0)` Deprecated.
    `RedisAPI` | `rpush(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `rpushObservable(List<String> args)` Deprecated.
    `RedisAPI` | `rpushx(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `rpushxObservable(List<String> args)` Deprecated.
    `Single<Response>` | `rxAppend(String arg0, String arg1)`
    `Single<Response>` | `rxAsking()`
    `Single<Response>` | `rxAuth(String arg0)`
    `Single<Response>` | `rxBgrewriteaof()`
    `Single<Response>` | `rxBgsave(List<String> args)`
    `Single<Response>` | `rxBitcount(List<String> args)`
    `Single<Response>` | `rxBitfield(List<String> args)`
    `Single<Response>` | `rxBitop(List<String> args)`
    `Single<Response>` | `rxBitpos(List<String> args)`
    `Single<Response>` | `rxBlpop(List<String> args)`
    `Single<Response>` | `rxBrpop(List<String> args)`
    `Single<Response>` | `rxBrpoplpush(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxBzpopmax(List<String> args)`
    `Single<Response>` | `rxBzpopmin(List<String> args)`
    `Single<Response>` | `rxClient(List<String> args)`
    `Single<Response>` | `rxCluster(List<String> args)`
    `Single<Response>` | `rxCommand(List<String> args)`
    `Single<Response>` | `rxConfig(List<String> args)`
    `Single<Response>` | `rxDbsize()`
    `Single<Response>` | `rxDebug(List<String> args)`
    `Single<Response>` | `rxDecr(String arg0)`
    `Single<Response>` | `rxDecrby(String arg0, String arg1)`
    `Single<Response>` | `rxDel(List<String> args)`
    `Single<Response>` | `rxDiscard()`
    `Single<Response>` | `rxDump(String arg0)`
    `Single<Response>` | `rxEcho(String arg0)`
    `Single<Response>` | `rxEval(List<String> args)`
    `Single<Response>` | `rxEvalsha(List<String> args)`
    `Single<Response>` | `rxExec()`
    `Single<Response>` | `rxExists(List<String> args)`
    `Single<Response>` | `rxExpire(String arg0, String arg1)`
    `Single<Response>` | `rxExpireat(String arg0, String arg1)`
    `Single<Response>` | `rxFlushall(List<String> args)`
    `Single<Response>` | `rxFlushdb(List<String> args)`
    `Single<Response>` | `rxGeoadd(List<String> args)`
    `Single<Response>` | `rxGeodist(List<String> args)`
    `Single<Response>` | `rxGeohash(List<String> args)`
    `Single<Response>` | `rxGeopos(List<String> args)`
    `Single<Response>` | `rxGeoradius(List<String> args)`
    `Single<Response>` | `rxGeoradiusbymember(List<String> args)`
    `Single<Response>` | `rxGeoradiusbymemberRo(List<String> args)`
    `Single<Response>` | `rxGeoradiusRo(List<String> args)`
    `Single<Response>` | `rxGet(String arg0)`
    `Single<Response>` | `rxGetbit(String arg0, String arg1)`
    `Single<Response>` | `rxGetrange(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxGetset(String arg0, String arg1)`
    `Single<Response>` | `rxHdel(List<String> args)`
    `Single<Response>` | `rxHexists(String arg0, String arg1)`
    `Single<Response>` | `rxHget(String arg0, String arg1)`
    `Single<Response>` | `rxHgetall(String arg0)`
    `Single<Response>` | `rxHincrby(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxHincrbyfloat(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxHkeys(String arg0)`
    `Single<Response>` | `rxHlen(String arg0)`
    `Single<Response>` | `rxHmget(List<String> args)`
    `Single<Response>` | `rxHmset(List<String> args)`
    `Single<Response>` | `rxHost(List<String> args)`
    `Single<Response>` | `rxHscan(List<String> args)`
    `Single<Response>` | `rxHset(List<String> args)`
    `Single<Response>` | `rxHsetnx(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxHstrlen(String arg0, String arg1)`
    `Single<Response>` | `rxHvals(String arg0)`
    `Single<Response>` | `rxIncr(String arg0)`
    `Single<Response>` | `rxIncrby(String arg0, String arg1)`
    `Single<Response>` | `rxIncrbyfloat(String arg0, String arg1)`
    `Single<Response>` | `rxInfo(List<String> args)`
    `Single<Response>` | `rxKeys(String arg0)`
    `Single<Response>` | `rxLastsave()`
    `Single<Response>` | `rxLatency(List<String> args)`
    `Single<Response>` | `rxLindex(String arg0, String arg1)`
    `Single<Response>` | `rxLinsert(String arg0, String arg1, String arg2, String arg3)`
    `Single<Response>` | `rxLlen(String arg0)`
    `Single<Response>` | `rxLolwut(List<String> args)`
    `Single<Response>` | `rxLpop(String arg0)`
    `Single<Response>` | `rxLpush(List<String> args)`
    `Single<Response>` | `rxLpushx(List<String> args)`
    `Single<Response>` | `rxLrange(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxLrem(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxLset(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxLtrim(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxMemory(List<String> args)`
    `Single<Response>` | `rxMget(List<String> args)`
    `Single<Response>` | `rxMigrate(List<String> args)`
    `Single<Response>` | `rxModule(List<String> args)`
    `Single<Response>` | `rxMonitor()`
    `Single<Response>` | `rxMove(String arg0, String arg1)`
    `Single<Response>` | `rxMset(List<String> args)`
    `Single<Response>` | `rxMsetnx(List<String> args)`
    `Single<Response>` | `rxMulti()`
    `Single<Response>` | `rxObject(List<String> args)`
    `Single<Response>` | `rxPersist(String arg0)`
    `Single<Response>` | `rxPexpire(String arg0, String arg1)`
    `Single<Response>` | `rxPexpireat(String arg0, String arg1)`
    `Single<Response>` | `rxPfadd(List<String> args)`
    `Single<Response>` | `rxPfcount(List<String> args)`
    `Single<Response>` | `rxPfdebug(List<String> args)`
    `Single<Response>` | `rxPfmerge(List<String> args)`
    `Single<Response>` | `rxPfselftest()`
    `Single<Response>` | `rxPing(List<String> args)`
    `Single<Response>` | `rxPost(List<String> args)`
    `Single<Response>` | `rxPsetex(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxPsubscribe(List<String> args)`
    `Single<Response>` | `rxPsync(String arg0, String arg1)`
    `Single<Response>` | `rxPttl(String arg0)`
    `Single<Response>` | `rxPublish(String arg0, String arg1)`
    `Single<Response>` | `rxPubsub(List<String> args)`
    `Single<Response>` | `rxPunsubscribe(List<String> args)`
    `Single<Response>` | `rxRandomkey()`
    `Single<Response>` | `rxReadonly()`
    `Single<Response>` | `rxReadwrite()`
    `Single<Response>` | `rxRename(String arg0, String arg1)`
    `Single<Response>` | `rxRenamenx(String arg0, String arg1)`
    `Single<Response>` | `rxReplconf(List<String> args)`
    `Single<Response>` | `rxReplicaof(String arg0, String arg1)`
    `Single<Response>` | `rxRestore(List<String> args)`
    `Single<Response>` | `rxRestoreAsking(List<String> args)`
    `Single<Response>` | `rxRole()`
    `Single<Response>` | `rxRpop(String arg0)`
    `Single<Response>` | `rxRpoplpush(String arg0, String arg1)`
    `Single<Response>` | `rxRpush(List<String> args)`
    `Single<Response>` | `rxRpushx(List<String> args)`
    `Single<Response>` | `rxSadd(List<String> args)`
    `Single<Response>` | `rxSave()`
    `Single<Response>` | `rxScan(List<String> args)`
    `Single<Response>` | `rxScard(String arg0)`
    `Single<Response>` | `rxScript(List<String> args)`
    `Single<Response>` | `rxSdiff(List<String> args)`
    `Single<Response>` | `rxSdiffstore(List<String> args)`
    `Single<Response>` | `rxSelect(String arg0)`
    `Single<Response>` | `rxSet(List<String> args)`
    `Single<Response>` | `rxSetbit(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxSetex(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxSetnx(String arg0, String arg1)`
    `Single<Response>` | `rxSetrange(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxShutdown(List<String> args)`
    `Single<Response>` | `rxSinter(List<String> args)`
    `Single<Response>` | `rxSinterstore(List<String> args)`
    `Single<Response>` | `rxSismember(String arg0, String arg1)`
    `Single<Response>` | `rxSlaveof(String arg0, String arg1)`
    `Single<Response>` | `rxSlowlog(List<String> args)`
    `Single<Response>` | `rxSmembers(String arg0)`
    `Single<Response>` | `rxSmove(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxSort(List<String> args)`
    `Single<Response>` | `rxSpop(List<String> args)`
    `Single<Response>` | `rxSrandmember(List<String> args)`
    `Single<Response>` | `rxSrem(List<String> args)`
    `Single<Response>` | `rxSscan(List<String> args)`
    `Single<Response>` | `rxStrlen(String arg0)`
    `Single<Response>` | `rxSubscribe(List<String> args)`
    `Single<Response>` | `rxSubstr(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxSunion(List<String> args)`
    `Single<Response>` | `rxSunionstore(List<String> args)`
    `Single<Response>` | `rxSwapdb(String arg0, String arg1)`
    `Single<Response>` | `rxSync()`
    `Single<Response>` | `rxTime()`
    `Single<Response>` | `rxTouch(List<String> args)`
    `Single<Response>` | `rxTtl(String arg0)`
    `Single<Response>` | `rxType(String arg0)`
    `Single<Response>` | `rxUnlink(List<String> args)`
    `Single<Response>` | `rxUnsubscribe(List<String> args)`
    `Single<Response>` | `rxUnwatch()`
    `Single<Response>` | `rxWait(String arg0, String arg1)`
    `Single<Response>` | `rxWatch(List<String> args)`
    `Single<Response>` | `rxXack(List<String> args)`
    `Single<Response>` | `rxXadd(List<String> args)`
    `Single<Response>` | `rxXclaim(List<String> args)`
    `Single<Response>` | `rxXdel(List<String> args)`
    `Single<Response>` | `rxXgroup(List<String> args)`
    `Single<Response>` | `rxXinfo(List<String> args)`
    `Single<Response>` | `rxXlen(String arg0)`
    `Single<Response>` | `rxXpending(List<String> args)`
    `Single<Response>` | `rxXrange(List<String> args)`
    `Single<Response>` | `rxXread(List<String> args)`
    `Single<Response>` | `rxXreadgroup(List<String> args)`
    `Single<Response>` | `rxXrevrange(List<String> args)`
    `Single<Response>` | `rxXsetid(String arg0, String arg1)`
    `Single<Response>` | `rxXtrim(List<String> args)`
    `Single<Response>` | `rxZadd(List<String> args)`
    `Single<Response>` | `rxZcard(String arg0)`
    `Single<Response>` | `rxZcount(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxZincrby(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxZinterstore(List<String> args)`
    `Single<Response>` | `rxZlexcount(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxZpopmax(List<String> args)`
    `Single<Response>` | `rxZpopmin(List<String> args)`
    `Single<Response>` | `rxZrange(List<String> args)`
    `Single<Response>` | `rxZrangebylex(List<String> args)`
    `Single<Response>` | `rxZrangebyscore(List<String> args)`
    `Single<Response>` | `rxZrank(String arg0, String arg1)`
    `Single<Response>` | `rxZrem(List<String> args)`
    `Single<Response>` | `rxZremrangebylex(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxZremrangebyrank(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxZremrangebyscore(String arg0, String arg1, String arg2)`
    `Single<Response>` | `rxZrevrange(List<String> args)`
    `Single<Response>` | `rxZrevrangebylex(List<String> args)`
    `Single<Response>` | `rxZrevrangebyscore(List<String> args)`
    `Single<Response>` | `rxZrevrank(String arg0, String arg1)`
    `Single<Response>` | `rxZscan(List<String> args)`
    `Single<Response>` | `rxZscore(String arg0, String arg1)`
    `Single<Response>` | `rxZunionstore(List<String> args)`
    `RedisAPI` | `sadd(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `saddObservable(List<String> args)` Deprecated.
    `RedisAPI` | `save(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `saveObservable()` Deprecated.
    `RedisAPI` | `scan(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `scanObservable(List<String> args)` Deprecated.
    `RedisAPI` | `scard(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `scardObservable(String arg0)` Deprecated.
    `RedisAPI` | `script(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `scriptObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sdiff(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sdiffObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sdiffstore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sdiffstoreObservable(List<String> args)` Deprecated.
    `RedisAPI` | `select(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `selectObservable(String arg0)` Deprecated.
    `RedisAPI` | `set(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `setbit(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `setbitObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `setex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `setexObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `setnx(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `setnxObservable(String arg0, String arg1)` Deprecated.
    `Observable<Response>` | `setObservable(List<String> args)` Deprecated.
    `RedisAPI` | `setrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `setrangeObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `shutdown(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `shutdownObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sinter(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sinterObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sinterstore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sinterstoreObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sismember(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sismemberObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `slaveof(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `slaveofObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `slowlog(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `slowlogObservable(List<String> args)` Deprecated.
    `RedisAPI` | `smembers(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `smembersObservable(String arg0)` Deprecated.
    `RedisAPI` | `smove(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `smoveObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `sort(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sortObservable(List<String> args)` Deprecated.
    `RedisAPI` | `spop(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `spopObservable(List<String> args)` Deprecated.
    `RedisAPI` | `srandmember(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `srandmemberObservable(List<String> args)` Deprecated.
    `RedisAPI` | `srem(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sremObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sscan(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sscanObservable(List<String> args)` Deprecated.
    `RedisAPI` | `strlen(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `strlenObservable(String arg0)` Deprecated.
    `RedisAPI` | `subscribe(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `subscribeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `substr(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `substrObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `sunion(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sunionObservable(List<String> args)` Deprecated.
    `RedisAPI` | `sunionstore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `sunionstoreObservable(List<String> args)` Deprecated.
    `RedisAPI` | `swapdb(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `swapdbObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `sync(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `syncObservable()` Deprecated.
    `RedisAPI` | `time(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `timeObservable()` Deprecated.
    `String` | `toString()`
    `RedisAPI` | `touch(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `touchObservable(List<String> args)` Deprecated.
    `RedisAPI` | `ttl(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `ttlObservable(String arg0)` Deprecated.
    `RedisAPI` | `type(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `typeObservable(String arg0)` Deprecated.
    `RedisAPI` | `unlink(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `unlinkObservable(List<String> args)` Deprecated.
    `RedisAPI` | `unsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `unsubscribeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `unwatch(Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `unwatchObservable()` Deprecated.
    `RedisAPI` | `wait(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `waitObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `watch(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `watchObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xack(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xackObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xadd(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xaddObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xclaim(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xclaimObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xdel(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xdelObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xgroup(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xgroupObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xinfo(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xinfoObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xlen(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xlenObservable(String arg0)` Deprecated.
    `RedisAPI` | `xpending(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xpendingObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xrange(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xrangeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xread(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `xreadgroup(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xreadgroupObservable(List<String> args)` Deprecated.
    `Observable<Response>` | `xreadObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xrevrange(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xrevrangeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `xsetid(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xsetidObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `xtrim(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `xtrimObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zadd(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zaddObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zcard(String arg0, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zcardObservable(String arg0)` Deprecated.
    `RedisAPI` | `zcount(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zcountObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `zincrby(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zincrbyObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `zinterstore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zinterstoreObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zlexcount(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zlexcountObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `zpopmax(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zpopmaxObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zpopmin(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zpopminObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zrange(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `zrangebylex(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zrangebylexObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zrangebyscore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zrangebyscoreObservable(List<String> args)` Deprecated.
    `Observable<Response>` | `zrangeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zrank(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zrankObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `zrem(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zremObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zremrangebylex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zremrangebylexObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `zremrangebyrank(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zremrangebyrankObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `zremrangebyscore(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zremrangebyscoreObservable(String arg0, String arg1, String arg2)` Deprecated.
    `RedisAPI` | `zrevrange(List<String> args, Handler<AsyncResult<Response>> handler)`
    `RedisAPI` | `zrevrangebylex(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zrevrangebylexObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zrevrangebyscore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zrevrangebyscoreObservable(List<String> args)` Deprecated.
    `Observable<Response>` | `zrevrangeObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zrevrank(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zrevrankObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `zscan(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zscanObservable(List<String> args)` Deprecated.
    `RedisAPI` | `zscore(String arg0, String arg1, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zscoreObservable(String arg0, String arg1)` Deprecated.
    `RedisAPI` | `zunionstore(List<String> args, Handler<AsyncResult<Response>> handler)`
    `Observable<Response>` | `zunionstoreObservable(List<String> args)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisAPI> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisAPI

          public RedisAPI(RedisAPI delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisAPI getDelegate()

    - #### api

          public static RedisAPI api(Redis client)

    - #### append

          public RedisAPI append(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### appendObservable

          @Deprecated
          public Observable<Response> appendObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxAppend

          public Single<Response> rxAppend(String arg0,
                                           String arg1)

    - #### asking

          public RedisAPI asking(Handler<AsyncResult<Response>> handler)

    - #### askingObservable

          @Deprecated
          public Observable<Response> askingObservable()

      Deprecated.

    - #### rxAsking

          public Single<Response> rxAsking()

    - #### auth

          public RedisAPI auth(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### authObservable

          @Deprecated
          public Observable<Response> authObservable(String arg0)

      Deprecated.

    - #### rxAuth

          public Single<Response> rxAuth(String arg0)

    - #### bgrewriteaof

          public RedisAPI bgrewriteaof(Handler<AsyncResult<Response>> handler)

    - #### bgrewriteaofObservable

          @Deprecated
          public Observable<Response> bgrewriteaofObservable()

      Deprecated.

    - #### rxBgrewriteaof

          public Single<Response> rxBgrewriteaof()

    - #### bgsave

          public RedisAPI bgsave(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### bgsaveObservable

          @Deprecated
          public Observable<Response> bgsaveObservable(List<String> args)

      Deprecated.

    - #### rxBgsave

          public Single<Response> rxBgsave(List<String> args)

    - #### bitcount

          public RedisAPI bitcount(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### bitcountObservable

          @Deprecated
          public Observable<Response> bitcountObservable(List<String> args)

      Deprecated.

    - #### rxBitcount

          public Single<Response> rxBitcount(List<String> args)

    - #### bitfield

          public RedisAPI bitfield(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### bitfieldObservable

          @Deprecated
          public Observable<Response> bitfieldObservable(List<String> args)

      Deprecated.

    - #### rxBitfield

          public Single<Response> rxBitfield(List<String> args)

    - #### bitop

          public RedisAPI bitop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### bitopObservable

          @Deprecated
          public Observable<Response> bitopObservable(List<String> args)

      Deprecated.

    - #### rxBitop

          public Single<Response> rxBitop(List<String> args)

    - #### bitpos

          public RedisAPI bitpos(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### bitposObservable

          @Deprecated
          public Observable<Response> bitposObservable(List<String> args)

      Deprecated.

    - #### rxBitpos

          public Single<Response> rxBitpos(List<String> args)

    - #### blpop

          public RedisAPI blpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### blpopObservable

          @Deprecated
          public Observable<Response> blpopObservable(List<String> args)

      Deprecated.

    - #### rxBlpop

          public Single<Response> rxBlpop(List<String> args)

    - #### brpop

          public RedisAPI brpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### brpopObservable

          @Deprecated
          public Observable<Response> brpopObservable(List<String> args)

      Deprecated.

    - #### rxBrpop

          public Single<Response> rxBrpop(List<String> args)

    - #### brpoplpush

          public RedisAPI brpoplpush(String arg0,
                                     String arg1,
                                     String arg2,
                                     Handler<AsyncResult<Response>> handler)

    - #### brpoplpushObservable

          @Deprecated
          public Observable<Response> brpoplpushObservable(String arg0,
                                                                       String arg1,
                                                                       String arg2)

      Deprecated.

    - #### rxBrpoplpush

          public Single<Response> rxBrpoplpush(String arg0,
                                               String arg1,
                                               String arg2)

    - #### bzpopmax

          public RedisAPI bzpopmax(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### bzpopmaxObservable

          @Deprecated
          public Observable<Response> bzpopmaxObservable(List<String> args)

      Deprecated.

    - #### rxBzpopmax

          public Single<Response> rxBzpopmax(List<String> args)

    - #### bzpopmin

          public RedisAPI bzpopmin(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### bzpopminObservable

          @Deprecated
          public Observable<Response> bzpopminObservable(List<String> args)

      Deprecated.

    - #### rxBzpopmin

          public Single<Response> rxBzpopmin(List<String> args)

    - #### client

          public RedisAPI client(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### clientObservable

          @Deprecated
          public Observable<Response> clientObservable(List<String> args)

      Deprecated.

    - #### rxClient

          public Single<Response> rxClient(List<String> args)

    - #### cluster

          public RedisAPI cluster(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### clusterObservable

          @Deprecated
          public Observable<Response> clusterObservable(List<String> args)

      Deprecated.

    - #### rxCluster

          public Single<Response> rxCluster(List<String> args)

    - #### command

          public RedisAPI command(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### commandObservable

          @Deprecated
          public Observable<Response> commandObservable(List<String> args)

      Deprecated.

    - #### rxCommand

          public Single<Response> rxCommand(List<String> args)

    - #### config

          public RedisAPI config(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### configObservable

          @Deprecated
          public Observable<Response> configObservable(List<String> args)

      Deprecated.

    - #### rxConfig

          public Single<Response> rxConfig(List<String> args)

    - #### dbsize

          public RedisAPI dbsize(Handler<AsyncResult<Response>> handler)

    - #### dbsizeObservable

          @Deprecated
          public Observable<Response> dbsizeObservable()

      Deprecated.

    - #### rxDbsize

          public Single<Response> rxDbsize()

    - #### debug

          public RedisAPI debug(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### debugObservable

          @Deprecated
          public Observable<Response> debugObservable(List<String> args)

      Deprecated.

    - #### rxDebug

          public Single<Response> rxDebug(List<String> args)

    - #### decr

          public RedisAPI decr(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### decrObservable

          @Deprecated
          public Observable<Response> decrObservable(String arg0)

      Deprecated.

    - #### rxDecr

          public Single<Response> rxDecr(String arg0)

    - #### decrby

          public RedisAPI decrby(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### decrbyObservable

          @Deprecated
          public Observable<Response> decrbyObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxDecrby

          public Single<Response> rxDecrby(String arg0,
                                           String arg1)

    - #### del

          public RedisAPI del(List<String> args,
                              Handler<AsyncResult<Response>> handler)

    - #### delObservable

          @Deprecated
          public Observable<Response> delObservable(List<String> args)

      Deprecated.

    - #### rxDel

          public Single<Response> rxDel(List<String> args)

    - #### discard

          public RedisAPI discard(Handler<AsyncResult<Response>> handler)

    - #### discardObservable

          @Deprecated
          public Observable<Response> discardObservable()

      Deprecated.

    - #### rxDiscard

          public Single<Response> rxDiscard()

    - #### dump

          public RedisAPI dump(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### dumpObservable

          @Deprecated
          public Observable<Response> dumpObservable(String arg0)

      Deprecated.

    - #### rxDump

          public Single<Response> rxDump(String arg0)

    - #### echo

          public RedisAPI echo(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### echoObservable

          @Deprecated
          public Observable<Response> echoObservable(String arg0)

      Deprecated.

    - #### rxEcho

          public Single<Response> rxEcho(String arg0)

    - #### eval

          public RedisAPI eval(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### evalObservable

          @Deprecated
          public Observable<Response> evalObservable(List<String> args)

      Deprecated.

    - #### rxEval

          public Single<Response> rxEval(List<String> args)

    - #### evalsha

          public RedisAPI evalsha(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### evalshaObservable

          @Deprecated
          public Observable<Response> evalshaObservable(List<String> args)

      Deprecated.

    - #### rxEvalsha

          public Single<Response> rxEvalsha(List<String> args)

    - #### exec

          public RedisAPI exec(Handler<AsyncResult<Response>> handler)

    - #### execObservable

          @Deprecated
          public Observable<Response> execObservable()

      Deprecated.

    - #### rxExec

          public Single<Response> rxExec()

    - #### exists

          public RedisAPI exists(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### existsObservable

          @Deprecated
          public Observable<Response> existsObservable(List<String> args)

      Deprecated.

    - #### rxExists

          public Single<Response> rxExists(List<String> args)

    - #### expire

          public RedisAPI expire(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### expireObservable

          @Deprecated
          public Observable<Response> expireObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxExpire

          public Single<Response> rxExpire(String arg0,
                                           String arg1)

    - #### expireat

          public RedisAPI expireat(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

    - #### expireatObservable

          @Deprecated
          public Observable<Response> expireatObservable(String arg0,
                                                                     String arg1)

      Deprecated.

    - #### rxExpireat

          public Single<Response> rxExpireat(String arg0,
                                             String arg1)

    - #### flushall

          public RedisAPI flushall(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### flushallObservable

          @Deprecated
          public Observable<Response> flushallObservable(List<String> args)

      Deprecated.

    - #### rxFlushall

          public Single<Response> rxFlushall(List<String> args)

    - #### flushdb

          public RedisAPI flushdb(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### flushdbObservable

          @Deprecated
          public Observable<Response> flushdbObservable(List<String> args)

      Deprecated.

    - #### rxFlushdb

          public Single<Response> rxFlushdb(List<String> args)

    - #### geoadd

          public RedisAPI geoadd(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### geoaddObservable

          @Deprecated
          public Observable<Response> geoaddObservable(List<String> args)

      Deprecated.

    - #### rxGeoadd

          public Single<Response> rxGeoadd(List<String> args)

    - #### geodist

          public RedisAPI geodist(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### geodistObservable

          @Deprecated
          public Observable<Response> geodistObservable(List<String> args)

      Deprecated.

    - #### rxGeodist

          public Single<Response> rxGeodist(List<String> args)

    - #### geohash

          public RedisAPI geohash(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### geohashObservable

          @Deprecated
          public Observable<Response> geohashObservable(List<String> args)

      Deprecated.

    - #### rxGeohash

          public Single<Response> rxGeohash(List<String> args)

    - #### geopos

          public RedisAPI geopos(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### geoposObservable

          @Deprecated
          public Observable<Response> geoposObservable(List<String> args)

      Deprecated.

    - #### rxGeopos

          public Single<Response> rxGeopos(List<String> args)

    - #### georadius

          public RedisAPI georadius(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

    - #### georadiusObservable

          @Deprecated
          public Observable<Response> georadiusObservable(List<String> args)

      Deprecated.

    - #### rxGeoradius

          public Single<Response> rxGeoradius(List<String> args)

    - #### georadiusRo

          public RedisAPI georadiusRo(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### georadiusRoObservable

          @Deprecated
          public Observable<Response> georadiusRoObservable(List<String> args)

      Deprecated.

    - #### rxGeoradiusRo

          public Single<Response> rxGeoradiusRo(List<String> args)

    - #### georadiusbymember

          public RedisAPI georadiusbymember(List<String> args,
                                            Handler<AsyncResult<Response>> handler)

    - #### georadiusbymemberObservable

          @Deprecated
          public Observable<Response> georadiusbymemberObservable(List<String> args)

      Deprecated.

    - #### rxGeoradiusbymember

          public Single<Response> rxGeoradiusbymember(List<String> args)

    - #### georadiusbymemberRo

          public RedisAPI georadiusbymemberRo(List<String> args,
                                              Handler<AsyncResult<Response>> handler)

    - #### georadiusbymemberRoObservable

          @Deprecated
          public Observable<Response> georadiusbymemberRoObservable(List<String> args)

      Deprecated.

    - #### rxGeoradiusbymemberRo

          public Single<Response> rxGeoradiusbymemberRo(List<String> args)

    - #### get

          public RedisAPI get(String arg0,
                              Handler<AsyncResult<Response>> handler)

    - #### getObservable

          @Deprecated
          public Observable<Response> getObservable(String arg0)

      Deprecated.

    - #### rxGet

          public Single<Response> rxGet(String arg0)

    - #### getbit

          public RedisAPI getbit(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### getbitObservable

          @Deprecated
          public Observable<Response> getbitObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxGetbit

          public Single<Response> rxGetbit(String arg0,
                                           String arg1)

    - #### getrange

          public RedisAPI getrange(String arg0,
                                   String arg1,
                                   String arg2,
                                   Handler<AsyncResult<Response>> handler)

    - #### getrangeObservable

          @Deprecated
          public Observable<Response> getrangeObservable(String arg0,
                                                                     String arg1,
                                                                     String arg2)

      Deprecated.

    - #### rxGetrange

          public Single<Response> rxGetrange(String arg0,
                                             String arg1,
                                             String arg2)

    - #### getset

          public RedisAPI getset(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### getsetObservable

          @Deprecated
          public Observable<Response> getsetObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxGetset

          public Single<Response> rxGetset(String arg0,
                                           String arg1)

    - #### hdel

          public RedisAPI hdel(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### hdelObservable

          @Deprecated
          public Observable<Response> hdelObservable(List<String> args)

      Deprecated.

    - #### rxHdel

          public Single<Response> rxHdel(List<String> args)

    - #### hexists

          public RedisAPI hexists(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

    - #### hexistsObservable

          @Deprecated
          public Observable<Response> hexistsObservable(String arg0,
                                                                    String arg1)

      Deprecated.

    - #### rxHexists

          public Single<Response> rxHexists(String arg0,
                                            String arg1)

    - #### hget

          public RedisAPI hget(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

    - #### hgetObservable

          @Deprecated
          public Observable<Response> hgetObservable(String arg0,
                                                                 String arg1)

      Deprecated.

    - #### rxHget

          public Single<Response> rxHget(String arg0,
                                         String arg1)

    - #### hgetall

          public RedisAPI hgetall(String arg0,
                                  Handler<AsyncResult<Response>> handler)

    - #### hgetallObservable

          @Deprecated
          public Observable<Response> hgetallObservable(String arg0)

      Deprecated.

    - #### rxHgetall

          public Single<Response> rxHgetall(String arg0)

    - #### hincrby

          public RedisAPI hincrby(String arg0,
                                  String arg1,
                                  String arg2,
                                  Handler<AsyncResult<Response>> handler)

    - #### hincrbyObservable

          @Deprecated
          public Observable<Response> hincrbyObservable(String arg0,
                                                                    String arg1,
                                                                    String arg2)

      Deprecated.

    - #### rxHincrby

          public Single<Response> rxHincrby(String arg0,
                                            String arg1,
                                            String arg2)

    - #### hincrbyfloat

          public RedisAPI hincrbyfloat(String arg0,
                                       String arg1,
                                       String arg2,
                                       Handler<AsyncResult<Response>> handler)

    - #### hincrbyfloatObservable

          @Deprecated
          public Observable<Response> hincrbyfloatObservable(String arg0,
                                                                         String arg1,
                                                                         String arg2)

      Deprecated.

    - #### rxHincrbyfloat

          public Single<Response> rxHincrbyfloat(String arg0,
                                                 String arg1,
                                                 String arg2)

    - #### hkeys

          public RedisAPI hkeys(String arg0,
                                Handler<AsyncResult<Response>> handler)

    - #### hkeysObservable

          @Deprecated
          public Observable<Response> hkeysObservable(String arg0)

      Deprecated.

    - #### rxHkeys

          public Single<Response> rxHkeys(String arg0)

    - #### hlen

          public RedisAPI hlen(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### hlenObservable

          @Deprecated
          public Observable<Response> hlenObservable(String arg0)

      Deprecated.

    - #### rxHlen

          public Single<Response> rxHlen(String arg0)

    - #### hmget

          public RedisAPI hmget(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### hmgetObservable

          @Deprecated
          public Observable<Response> hmgetObservable(List<String> args)

      Deprecated.

    - #### rxHmget

          public Single<Response> rxHmget(List<String> args)

    - #### hmset

          public RedisAPI hmset(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### hmsetObservable

          @Deprecated
          public Observable<Response> hmsetObservable(List<String> args)

      Deprecated.

    - #### rxHmset

          public Single<Response> rxHmset(List<String> args)

    - #### host

          public RedisAPI host(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### hostObservable

          @Deprecated
          public Observable<Response> hostObservable(List<String> args)

      Deprecated.

    - #### rxHost

          public Single<Response> rxHost(List<String> args)

    - #### hscan

          public RedisAPI hscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### hscanObservable

          @Deprecated
          public Observable<Response> hscanObservable(List<String> args)

      Deprecated.

    - #### rxHscan

          public Single<Response> rxHscan(List<String> args)

    - #### hset

          public RedisAPI hset(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### hsetObservable

          @Deprecated
          public Observable<Response> hsetObservable(List<String> args)

      Deprecated.

    - #### rxHset

          public Single<Response> rxHset(List<String> args)

    - #### hsetnx

          public RedisAPI hsetnx(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

    - #### hsetnxObservable

          @Deprecated
          public Observable<Response> hsetnxObservable(String arg0,
                                                                   String arg1,
                                                                   String arg2)

      Deprecated.

    - #### rxHsetnx

          public Single<Response> rxHsetnx(String arg0,
                                           String arg1,
                                           String arg2)

    - #### hstrlen

          public RedisAPI hstrlen(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

    - #### hstrlenObservable

          @Deprecated
          public Observable<Response> hstrlenObservable(String arg0,
                                                                    String arg1)

      Deprecated.

    - #### rxHstrlen

          public Single<Response> rxHstrlen(String arg0,
                                            String arg1)

    - #### hvals

          public RedisAPI hvals(String arg0,
                                Handler<AsyncResult<Response>> handler)

    - #### hvalsObservable

          @Deprecated
          public Observable<Response> hvalsObservable(String arg0)

      Deprecated.

    - #### rxHvals

          public Single<Response> rxHvals(String arg0)

    - #### incr

          public RedisAPI incr(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### incrObservable

          @Deprecated
          public Observable<Response> incrObservable(String arg0)

      Deprecated.

    - #### rxIncr

          public Single<Response> rxIncr(String arg0)

    - #### incrby

          public RedisAPI incrby(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### incrbyObservable

          @Deprecated
          public Observable<Response> incrbyObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxIncrby

          public Single<Response> rxIncrby(String arg0,
                                           String arg1)

    - #### incrbyfloat

          public RedisAPI incrbyfloat(String arg0,
                                      String arg1,
                                      Handler<AsyncResult<Response>> handler)

    - #### incrbyfloatObservable

          @Deprecated
          public Observable<Response> incrbyfloatObservable(String arg0,
                                                                        String arg1)

      Deprecated.

    - #### rxIncrbyfloat

          public Single<Response> rxIncrbyfloat(String arg0,
                                                String arg1)

    - #### info

          public RedisAPI info(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### infoObservable

          @Deprecated
          public Observable<Response> infoObservable(List<String> args)

      Deprecated.

    - #### rxInfo

          public Single<Response> rxInfo(List<String> args)

    - #### keys

          public RedisAPI keys(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### keysObservable

          @Deprecated
          public Observable<Response> keysObservable(String arg0)

      Deprecated.

    - #### rxKeys

          public Single<Response> rxKeys(String arg0)

    - #### lastsave

          public RedisAPI lastsave(Handler<AsyncResult<Response>> handler)

    - #### lastsaveObservable

          @Deprecated
          public Observable<Response> lastsaveObservable()

      Deprecated.

    - #### rxLastsave

          public Single<Response> rxLastsave()

    - #### latency

          public RedisAPI latency(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### latencyObservable

          @Deprecated
          public Observable<Response> latencyObservable(List<String> args)

      Deprecated.

    - #### rxLatency

          public Single<Response> rxLatency(List<String> args)

    - #### lindex

          public RedisAPI lindex(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### lindexObservable

          @Deprecated
          public Observable<Response> lindexObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxLindex

          public Single<Response> rxLindex(String arg0,
                                           String arg1)

    - #### linsert

          public RedisAPI linsert(String arg0,
                                  String arg1,
                                  String arg2,
                                  String arg3,
                                  Handler<AsyncResult<Response>> handler)

    - #### linsertObservable

          @Deprecated
          public Observable<Response> linsertObservable(String arg0,
                                                                    String arg1,
                                                                    String arg2,
                                                                    String arg3)

      Deprecated.

    - #### rxLinsert

          public Single<Response> rxLinsert(String arg0,
                                            String arg1,
                                            String arg2,
                                            String arg3)

    - #### llen

          public RedisAPI llen(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### llenObservable

          @Deprecated
          public Observable<Response> llenObservable(String arg0)

      Deprecated.

    - #### rxLlen

          public Single<Response> rxLlen(String arg0)

    - #### lolwut

          public RedisAPI lolwut(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### lolwutObservable

          @Deprecated
          public Observable<Response> lolwutObservable(List<String> args)

      Deprecated.

    - #### rxLolwut

          public Single<Response> rxLolwut(List<String> args)

    - #### lpop

          public RedisAPI lpop(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### lpopObservable

          @Deprecated
          public Observable<Response> lpopObservable(String arg0)

      Deprecated.

    - #### rxLpop

          public Single<Response> rxLpop(String arg0)

    - #### lpush

          public RedisAPI lpush(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### lpushObservable

          @Deprecated
          public Observable<Response> lpushObservable(List<String> args)

      Deprecated.

    - #### rxLpush

          public Single<Response> rxLpush(List<String> args)

    - #### lpushx

          public RedisAPI lpushx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### lpushxObservable

          @Deprecated
          public Observable<Response> lpushxObservable(List<String> args)

      Deprecated.

    - #### rxLpushx

          public Single<Response> rxLpushx(List<String> args)

    - #### lrange

          public RedisAPI lrange(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

    - #### lrangeObservable

          @Deprecated
          public Observable<Response> lrangeObservable(String arg0,
                                                                   String arg1,
                                                                   String arg2)

      Deprecated.

    - #### rxLrange

          public Single<Response> rxLrange(String arg0,
                                           String arg1,
                                           String arg2)

    - #### lrem

          public RedisAPI lrem(String arg0,
                               String arg1,
                               String arg2,
                               Handler<AsyncResult<Response>> handler)

    - #### lremObservable

          @Deprecated
          public Observable<Response> lremObservable(String arg0,
                                                                 String arg1,
                                                                 String arg2)

      Deprecated.

    - #### rxLrem

          public Single<Response> rxLrem(String arg0,
                                         String arg1,
                                         String arg2)

    - #### lset

          public RedisAPI lset(String arg0,
                               String arg1,
                               String arg2,
                               Handler<AsyncResult<Response>> handler)

    - #### lsetObservable

          @Deprecated
          public Observable<Response> lsetObservable(String arg0,
                                                                 String arg1,
                                                                 String arg2)

      Deprecated.

    - #### rxLset

          public Single<Response> rxLset(String arg0,
                                         String arg1,
                                         String arg2)

    - #### ltrim

          public RedisAPI ltrim(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

    - #### ltrimObservable

          @Deprecated
          public Observable<Response> ltrimObservable(String arg0,
                                                                  String arg1,
                                                                  String arg2)

      Deprecated.

    - #### rxLtrim

          public Single<Response> rxLtrim(String arg0,
                                          String arg1,
                                          String arg2)

    - #### memory

          public RedisAPI memory(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### memoryObservable

          @Deprecated
          public Observable<Response> memoryObservable(List<String> args)

      Deprecated.

    - #### rxMemory

          public Single<Response> rxMemory(List<String> args)

    - #### mget

          public RedisAPI mget(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### mgetObservable

          @Deprecated
          public Observable<Response> mgetObservable(List<String> args)

      Deprecated.

    - #### rxMget

          public Single<Response> rxMget(List<String> args)

    - #### migrate

          public RedisAPI migrate(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### migrateObservable

          @Deprecated
          public Observable<Response> migrateObservable(List<String> args)

      Deprecated.

    - #### rxMigrate

          public Single<Response> rxMigrate(List<String> args)

    - #### module

          public RedisAPI module(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### moduleObservable

          @Deprecated
          public Observable<Response> moduleObservable(List<String> args)

      Deprecated.

    - #### rxModule

          public Single<Response> rxModule(List<String> args)

    - #### monitor

          public RedisAPI monitor(Handler<AsyncResult<Response>> handler)

    - #### monitorObservable

          @Deprecated
          public Observable<Response> monitorObservable()

      Deprecated.

    - #### rxMonitor

          public Single<Response> rxMonitor()

    - #### move

          public RedisAPI move(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

    - #### moveObservable

          @Deprecated
          public Observable<Response> moveObservable(String arg0,
                                                                 String arg1)

      Deprecated.

    - #### rxMove

          public Single<Response> rxMove(String arg0,
                                         String arg1)

    - #### mset

          public RedisAPI mset(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### msetObservable

          @Deprecated
          public Observable<Response> msetObservable(List<String> args)

      Deprecated.

    - #### rxMset

          public Single<Response> rxMset(List<String> args)

    - #### msetnx

          public RedisAPI msetnx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### msetnxObservable

          @Deprecated
          public Observable<Response> msetnxObservable(List<String> args)

      Deprecated.

    - #### rxMsetnx

          public Single<Response> rxMsetnx(List<String> args)

    - #### multi

          public RedisAPI multi(Handler<AsyncResult<Response>> handler)

    - #### multiObservable

          @Deprecated
          public Observable<Response> multiObservable()

      Deprecated.

    - #### rxMulti

          public Single<Response> rxMulti()

    - #### object

          public RedisAPI object(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### objectObservable

          @Deprecated
          public Observable<Response> objectObservable(List<String> args)

      Deprecated.

    - #### rxObject

          public Single<Response> rxObject(List<String> args)

    - #### persist

          public RedisAPI persist(String arg0,
                                  Handler<AsyncResult<Response>> handler)

    - #### persistObservable

          @Deprecated
          public Observable<Response> persistObservable(String arg0)

      Deprecated.

    - #### rxPersist

          public Single<Response> rxPersist(String arg0)

    - #### pexpire

          public RedisAPI pexpire(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

    - #### pexpireObservable

          @Deprecated
          public Observable<Response> pexpireObservable(String arg0,
                                                                    String arg1)

      Deprecated.

    - #### rxPexpire

          public Single<Response> rxPexpire(String arg0,
                                            String arg1)

    - #### pexpireat

          public RedisAPI pexpireat(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

    - #### pexpireatObservable

          @Deprecated
          public Observable<Response> pexpireatObservable(String arg0,
                                                                      String arg1)

      Deprecated.

    - #### rxPexpireat

          public Single<Response> rxPexpireat(String arg0,
                                              String arg1)

    - #### pfadd

          public RedisAPI pfadd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### pfaddObservable

          @Deprecated
          public Observable<Response> pfaddObservable(List<String> args)

      Deprecated.

    - #### rxPfadd

          public Single<Response> rxPfadd(List<String> args)

    - #### pfcount

          public RedisAPI pfcount(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### pfcountObservable

          @Deprecated
          public Observable<Response> pfcountObservable(List<String> args)

      Deprecated.

    - #### rxPfcount

          public Single<Response> rxPfcount(List<String> args)

    - #### pfdebug

          public RedisAPI pfdebug(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### pfdebugObservable

          @Deprecated
          public Observable<Response> pfdebugObservable(List<String> args)

      Deprecated.

    - #### rxPfdebug

          public Single<Response> rxPfdebug(List<String> args)

    - #### pfmerge

          public RedisAPI pfmerge(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### pfmergeObservable

          @Deprecated
          public Observable<Response> pfmergeObservable(List<String> args)

      Deprecated.

    - #### rxPfmerge

          public Single<Response> rxPfmerge(List<String> args)

    - #### pfselftest

          public RedisAPI pfselftest(Handler<AsyncResult<Response>> handler)

    - #### pfselftestObservable

          @Deprecated
          public Observable<Response> pfselftestObservable()

      Deprecated.

    - #### rxPfselftest

          public Single<Response> rxPfselftest()

    - #### ping

          public RedisAPI ping(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### pingObservable

          @Deprecated
          public Observable<Response> pingObservable(List<String> args)

      Deprecated.

    - #### rxPing

          public Single<Response> rxPing(List<String> args)

    - #### post

          public RedisAPI post(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### postObservable

          @Deprecated
          public Observable<Response> postObservable(List<String> args)

      Deprecated.

    - #### rxPost

          public Single<Response> rxPost(List<String> args)

    - #### psetex

          public RedisAPI psetex(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

    - #### psetexObservable

          @Deprecated
          public Observable<Response> psetexObservable(String arg0,
                                                                   String arg1,
                                                                   String arg2)

      Deprecated.

    - #### rxPsetex

          public Single<Response> rxPsetex(String arg0,
                                           String arg1,
                                           String arg2)

    - #### psubscribe

          public RedisAPI psubscribe(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

    - #### psubscribeObservable

          @Deprecated
          public Observable<Response> psubscribeObservable(List<String> args)

      Deprecated.

    - #### rxPsubscribe

          public Single<Response> rxPsubscribe(List<String> args)

    - #### psync

          public RedisAPI psync(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

    - #### psyncObservable

          @Deprecated
          public Observable<Response> psyncObservable(String arg0,
                                                                  String arg1)

      Deprecated.

    - #### rxPsync

          public Single<Response> rxPsync(String arg0,
                                          String arg1)

    - #### pttl

          public RedisAPI pttl(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### pttlObservable

          @Deprecated
          public Observable<Response> pttlObservable(String arg0)

      Deprecated.

    - #### rxPttl

          public Single<Response> rxPttl(String arg0)

    - #### publish

          public RedisAPI publish(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

    - #### publishObservable

          @Deprecated
          public Observable<Response> publishObservable(String arg0,
                                                                    String arg1)

      Deprecated.

    - #### rxPublish

          public Single<Response> rxPublish(String arg0,
                                            String arg1)

    - #### pubsub

          public RedisAPI pubsub(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### pubsubObservable

          @Deprecated
          public Observable<Response> pubsubObservable(List<String> args)

      Deprecated.

    - #### rxPubsub

          public Single<Response> rxPubsub(List<String> args)

    - #### punsubscribe

          public RedisAPI punsubscribe(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

    - #### punsubscribeObservable

          @Deprecated
          public Observable<Response> punsubscribeObservable(List<String> args)

      Deprecated.

    - #### rxPunsubscribe

          public Single<Response> rxPunsubscribe(List<String> args)

    - #### randomkey

          public RedisAPI randomkey(Handler<AsyncResult<Response>> handler)

    - #### randomkeyObservable

          @Deprecated
          public Observable<Response> randomkeyObservable()

      Deprecated.

    - #### rxRandomkey

          public Single<Response> rxRandomkey()

    - #### readonly

          public RedisAPI readonly(Handler<AsyncResult<Response>> handler)

    - #### readonlyObservable

          @Deprecated
          public Observable<Response> readonlyObservable()

      Deprecated.

    - #### rxReadonly

          public Single<Response> rxReadonly()

    - #### readwrite

          public RedisAPI readwrite(Handler<AsyncResult<Response>> handler)

    - #### readwriteObservable

          @Deprecated
          public Observable<Response> readwriteObservable()

      Deprecated.

    - #### rxReadwrite

          public Single<Response> rxReadwrite()

    - #### rename

          public RedisAPI rename(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### renameObservable

          @Deprecated
          public Observable<Response> renameObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxRename

          public Single<Response> rxRename(String arg0,
                                           String arg1)

    - #### renamenx

          public RedisAPI renamenx(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

    - #### renamenxObservable

          @Deprecated
          public Observable<Response> renamenxObservable(String arg0,
                                                                     String arg1)

      Deprecated.

    - #### rxRenamenx

          public Single<Response> rxRenamenx(String arg0,
                                             String arg1)

    - #### replconf

          public RedisAPI replconf(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### replconfObservable

          @Deprecated
          public Observable<Response> replconfObservable(List<String> args)

      Deprecated.

    - #### rxReplconf

          public Single<Response> rxReplconf(List<String> args)

    - #### replicaof

          public RedisAPI replicaof(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

    - #### replicaofObservable

          @Deprecated
          public Observable<Response> replicaofObservable(String arg0,
                                                                      String arg1)

      Deprecated.

    - #### rxReplicaof

          public Single<Response> rxReplicaof(String arg0,
                                              String arg1)

    - #### restore

          public RedisAPI restore(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### restoreObservable

          @Deprecated
          public Observable<Response> restoreObservable(List<String> args)

      Deprecated.

    - #### rxRestore

          public Single<Response> rxRestore(List<String> args)

    - #### restoreAsking

          public RedisAPI restoreAsking(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

    - #### restoreAskingObservable

          @Deprecated
          public Observable<Response> restoreAskingObservable(List<String> args)

      Deprecated.

    - #### rxRestoreAsking

          public Single<Response> rxRestoreAsking(List<String> args)

    - #### role

          public RedisAPI role(Handler<AsyncResult<Response>> handler)

    - #### roleObservable

          @Deprecated
          public Observable<Response> roleObservable()

      Deprecated.

    - #### rxRole

          public Single<Response> rxRole()

    - #### rpop

          public RedisAPI rpop(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### rpopObservable

          @Deprecated
          public Observable<Response> rpopObservable(String arg0)

      Deprecated.

    - #### rxRpop

          public Single<Response> rxRpop(String arg0)

    - #### rpoplpush

          public RedisAPI rpoplpush(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

    - #### rpoplpushObservable

          @Deprecated
          public Observable<Response> rpoplpushObservable(String arg0,
                                                                      String arg1)

      Deprecated.

    - #### rxRpoplpush

          public Single<Response> rxRpoplpush(String arg0,
                                              String arg1)

    - #### rpush

          public RedisAPI rpush(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### rpushObservable

          @Deprecated
          public Observable<Response> rpushObservable(List<String> args)

      Deprecated.

    - #### rxRpush

          public Single<Response> rxRpush(List<String> args)

    - #### rpushx

          public RedisAPI rpushx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### rpushxObservable

          @Deprecated
          public Observable<Response> rpushxObservable(List<String> args)

      Deprecated.

    - #### rxRpushx

          public Single<Response> rxRpushx(List<String> args)

    - #### sadd

          public RedisAPI sadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### saddObservable

          @Deprecated
          public Observable<Response> saddObservable(List<String> args)

      Deprecated.

    - #### rxSadd

          public Single<Response> rxSadd(List<String> args)

    - #### save

          public RedisAPI save(Handler<AsyncResult<Response>> handler)

    - #### saveObservable

          @Deprecated
          public Observable<Response> saveObservable()

      Deprecated.

    - #### rxSave

          public Single<Response> rxSave()

    - #### scan

          public RedisAPI scan(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### scanObservable

          @Deprecated
          public Observable<Response> scanObservable(List<String> args)

      Deprecated.

    - #### rxScan

          public Single<Response> rxScan(List<String> args)

    - #### scard

          public RedisAPI scard(String arg0,
                                Handler<AsyncResult<Response>> handler)

    - #### scardObservable

          @Deprecated
          public Observable<Response> scardObservable(String arg0)

      Deprecated.

    - #### rxScard

          public Single<Response> rxScard(String arg0)

    - #### script

          public RedisAPI script(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### scriptObservable

          @Deprecated
          public Observable<Response> scriptObservable(List<String> args)

      Deprecated.

    - #### rxScript

          public Single<Response> rxScript(List<String> args)

    - #### sdiff

          public RedisAPI sdiff(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### sdiffObservable

          @Deprecated
          public Observable<Response> sdiffObservable(List<String> args)

      Deprecated.

    - #### rxSdiff

          public Single<Response> rxSdiff(List<String> args)

    - #### sdiffstore

          public RedisAPI sdiffstore(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

    - #### sdiffstoreObservable

          @Deprecated
          public Observable<Response> sdiffstoreObservable(List<String> args)

      Deprecated.

    - #### rxSdiffstore

          public Single<Response> rxSdiffstore(List<String> args)

    - #### select

          public RedisAPI select(String arg0,
                                 Handler<AsyncResult<Response>> handler)

    - #### selectObservable

          @Deprecated
          public Observable<Response> selectObservable(String arg0)

      Deprecated.

    - #### rxSelect

          public Single<Response> rxSelect(String arg0)

    - #### set

          public RedisAPI set(List<String> args,
                              Handler<AsyncResult<Response>> handler)

    - #### setObservable

          @Deprecated
          public Observable<Response> setObservable(List<String> args)

      Deprecated.

    - #### rxSet

          public Single<Response> rxSet(List<String> args)

    - #### setbit

          public RedisAPI setbit(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

    - #### setbitObservable

          @Deprecated
          public Observable<Response> setbitObservable(String arg0,
                                                                   String arg1,
                                                                   String arg2)

      Deprecated.

    - #### rxSetbit

          public Single<Response> rxSetbit(String arg0,
                                           String arg1,
                                           String arg2)

    - #### setex

          public RedisAPI setex(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

    - #### setexObservable

          @Deprecated
          public Observable<Response> setexObservable(String arg0,
                                                                  String arg1,
                                                                  String arg2)

      Deprecated.

    - #### rxSetex

          public Single<Response> rxSetex(String arg0,
                                          String arg1,
                                          String arg2)

    - #### setnx

          public RedisAPI setnx(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

    - #### setnxObservable

          @Deprecated
          public Observable<Response> setnxObservable(String arg0,
                                                                  String arg1)

      Deprecated.

    - #### rxSetnx

          public Single<Response> rxSetnx(String arg0,
                                          String arg1)

    - #### setrange

          public RedisAPI setrange(String arg0,
                                   String arg1,
                                   String arg2,
                                   Handler<AsyncResult<Response>> handler)

    - #### setrangeObservable

          @Deprecated
          public Observable<Response> setrangeObservable(String arg0,
                                                                     String arg1,
                                                                     String arg2)

      Deprecated.

    - #### rxSetrange

          public Single<Response> rxSetrange(String arg0,
                                             String arg1,
                                             String arg2)

    - #### shutdown

          public RedisAPI shutdown(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### shutdownObservable

          @Deprecated
          public Observable<Response> shutdownObservable(List<String> args)

      Deprecated.

    - #### rxShutdown

          public Single<Response> rxShutdown(List<String> args)

    - #### sinter

          public RedisAPI sinter(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### sinterObservable

          @Deprecated
          public Observable<Response> sinterObservable(List<String> args)

      Deprecated.

    - #### rxSinter

          public Single<Response> rxSinter(List<String> args)

    - #### sinterstore

          public RedisAPI sinterstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### sinterstoreObservable

          @Deprecated
          public Observable<Response> sinterstoreObservable(List<String> args)

      Deprecated.

    - #### rxSinterstore

          public Single<Response> rxSinterstore(List<String> args)

    - #### sismember

          public RedisAPI sismember(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

    - #### sismemberObservable

          @Deprecated
          public Observable<Response> sismemberObservable(String arg0,
                                                                      String arg1)

      Deprecated.

    - #### rxSismember

          public Single<Response> rxSismember(String arg0,
                                              String arg1)

    - #### slaveof

          public RedisAPI slaveof(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

    - #### slaveofObservable

          @Deprecated
          public Observable<Response> slaveofObservable(String arg0,
                                                                    String arg1)

      Deprecated.

    - #### rxSlaveof

          public Single<Response> rxSlaveof(String arg0,
                                            String arg1)

    - #### slowlog

          public RedisAPI slowlog(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### slowlogObservable

          @Deprecated
          public Observable<Response> slowlogObservable(List<String> args)

      Deprecated.

    - #### rxSlowlog

          public Single<Response> rxSlowlog(List<String> args)

    - #### smembers

          public RedisAPI smembers(String arg0,
                                   Handler<AsyncResult<Response>> handler)

    - #### smembersObservable

          @Deprecated
          public Observable<Response> smembersObservable(String arg0)

      Deprecated.

    - #### rxSmembers

          public Single<Response> rxSmembers(String arg0)

    - #### smove

          public RedisAPI smove(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

    - #### smoveObservable

          @Deprecated
          public Observable<Response> smoveObservable(String arg0,
                                                                  String arg1,
                                                                  String arg2)

      Deprecated.

    - #### rxSmove

          public Single<Response> rxSmove(String arg0,
                                          String arg1,
                                          String arg2)

    - #### sort

          public RedisAPI sort(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### sortObservable

          @Deprecated
          public Observable<Response> sortObservable(List<String> args)

      Deprecated.

    - #### rxSort

          public Single<Response> rxSort(List<String> args)

    - #### spop

          public RedisAPI spop(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### spopObservable

          @Deprecated
          public Observable<Response> spopObservable(List<String> args)

      Deprecated.

    - #### rxSpop

          public Single<Response> rxSpop(List<String> args)

    - #### srandmember

          public RedisAPI srandmember(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### srandmemberObservable

          @Deprecated
          public Observable<Response> srandmemberObservable(List<String> args)

      Deprecated.

    - #### rxSrandmember

          public Single<Response> rxSrandmember(List<String> args)

    - #### srem

          public RedisAPI srem(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### sremObservable

          @Deprecated
          public Observable<Response> sremObservable(List<String> args)

      Deprecated.

    - #### rxSrem

          public Single<Response> rxSrem(List<String> args)

    - #### sscan

          public RedisAPI sscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### sscanObservable

          @Deprecated
          public Observable<Response> sscanObservable(List<String> args)

      Deprecated.

    - #### rxSscan

          public Single<Response> rxSscan(List<String> args)

    - #### strlen

          public RedisAPI strlen(String arg0,
                                 Handler<AsyncResult<Response>> handler)

    - #### strlenObservable

          @Deprecated
          public Observable<Response> strlenObservable(String arg0)

      Deprecated.

    - #### rxStrlen

          public Single<Response> rxStrlen(String arg0)

    - #### subscribe

          public RedisAPI subscribe(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

    - #### subscribeObservable

          @Deprecated
          public Observable<Response> subscribeObservable(List<String> args)

      Deprecated.

    - #### rxSubscribe

          public Single<Response> rxSubscribe(List<String> args)

    - #### substr

          public RedisAPI substr(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

    - #### substrObservable

          @Deprecated
          public Observable<Response> substrObservable(String arg0,
                                                                   String arg1,
                                                                   String arg2)

      Deprecated.

    - #### rxSubstr

          public Single<Response> rxSubstr(String arg0,
                                           String arg1,
                                           String arg2)

    - #### sunion

          public RedisAPI sunion(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### sunionObservable

          @Deprecated
          public Observable<Response> sunionObservable(List<String> args)

      Deprecated.

    - #### rxSunion

          public Single<Response> rxSunion(List<String> args)

    - #### sunionstore

          public RedisAPI sunionstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### sunionstoreObservable

          @Deprecated
          public Observable<Response> sunionstoreObservable(List<String> args)

      Deprecated.

    - #### rxSunionstore

          public Single<Response> rxSunionstore(List<String> args)

    - #### swapdb

          public RedisAPI swapdb(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### swapdbObservable

          @Deprecated
          public Observable<Response> swapdbObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxSwapdb

          public Single<Response> rxSwapdb(String arg0,
                                           String arg1)

    - #### sync

          public RedisAPI sync(Handler<AsyncResult<Response>> handler)

    - #### syncObservable

          @Deprecated
          public Observable<Response> syncObservable()

      Deprecated.

    - #### rxSync

          public Single<Response> rxSync()

    - #### time

          public RedisAPI time(Handler<AsyncResult<Response>> handler)

    - #### timeObservable

          @Deprecated
          public Observable<Response> timeObservable()

      Deprecated.

    - #### rxTime

          public Single<Response> rxTime()

    - #### touch

          public RedisAPI touch(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### touchObservable

          @Deprecated
          public Observable<Response> touchObservable(List<String> args)

      Deprecated.

    - #### rxTouch

          public Single<Response> rxTouch(List<String> args)

    - #### ttl

          public RedisAPI ttl(String arg0,
                              Handler<AsyncResult<Response>> handler)

    - #### ttlObservable

          @Deprecated
          public Observable<Response> ttlObservable(String arg0)

      Deprecated.

    - #### rxTtl

          public Single<Response> rxTtl(String arg0)

    - #### type

          public RedisAPI type(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### typeObservable

          @Deprecated
          public Observable<Response> typeObservable(String arg0)

      Deprecated.

    - #### rxType

          public Single<Response> rxType(String arg0)

    - #### unlink

          public RedisAPI unlink(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### unlinkObservable

          @Deprecated
          public Observable<Response> unlinkObservable(List<String> args)

      Deprecated.

    - #### rxUnlink

          public Single<Response> rxUnlink(List<String> args)

    - #### unsubscribe

          public RedisAPI unsubscribe(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### unsubscribeObservable

          @Deprecated
          public Observable<Response> unsubscribeObservable(List<String> args)

      Deprecated.

    - #### rxUnsubscribe

          public Single<Response> rxUnsubscribe(List<String> args)

    - #### unwatch

          public RedisAPI unwatch(Handler<AsyncResult<Response>> handler)

    - #### unwatchObservable

          @Deprecated
          public Observable<Response> unwatchObservable()

      Deprecated.

    - #### rxUnwatch

          public Single<Response> rxUnwatch()

    - #### wait

          public RedisAPI wait(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

    - #### waitObservable

          @Deprecated
          public Observable<Response> waitObservable(String arg0,
                                                                 String arg1)

      Deprecated.

    - #### rxWait

          public Single<Response> rxWait(String arg0,
                                         String arg1)

    - #### watch

          public RedisAPI watch(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### watchObservable

          @Deprecated
          public Observable<Response> watchObservable(List<String> args)

      Deprecated.

    - #### rxWatch

          public Single<Response> rxWatch(List<String> args)

    - #### xack

          public RedisAPI xack(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### xackObservable

          @Deprecated
          public Observable<Response> xackObservable(List<String> args)

      Deprecated.

    - #### rxXack

          public Single<Response> rxXack(List<String> args)

    - #### xadd

          public RedisAPI xadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### xaddObservable

          @Deprecated
          public Observable<Response> xaddObservable(List<String> args)

      Deprecated.

    - #### rxXadd

          public Single<Response> rxXadd(List<String> args)

    - #### xclaim

          public RedisAPI xclaim(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### xclaimObservable

          @Deprecated
          public Observable<Response> xclaimObservable(List<String> args)

      Deprecated.

    - #### rxXclaim

          public Single<Response> rxXclaim(List<String> args)

    - #### xdel

          public RedisAPI xdel(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### xdelObservable

          @Deprecated
          public Observable<Response> xdelObservable(List<String> args)

      Deprecated.

    - #### rxXdel

          public Single<Response> rxXdel(List<String> args)

    - #### xgroup

          public RedisAPI xgroup(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### xgroupObservable

          @Deprecated
          public Observable<Response> xgroupObservable(List<String> args)

      Deprecated.

    - #### rxXgroup

          public Single<Response> rxXgroup(List<String> args)

    - #### xinfo

          public RedisAPI xinfo(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### xinfoObservable

          @Deprecated
          public Observable<Response> xinfoObservable(List<String> args)

      Deprecated.

    - #### rxXinfo

          public Single<Response> rxXinfo(List<String> args)

    - #### xlen

          public RedisAPI xlen(String arg0,
                               Handler<AsyncResult<Response>> handler)

    - #### xlenObservable

          @Deprecated
          public Observable<Response> xlenObservable(String arg0)

      Deprecated.

    - #### rxXlen

          public Single<Response> rxXlen(String arg0)

    - #### xpending

          public RedisAPI xpending(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

    - #### xpendingObservable

          @Deprecated
          public Observable<Response> xpendingObservable(List<String> args)

      Deprecated.

    - #### rxXpending

          public Single<Response> rxXpending(List<String> args)

    - #### xrange

          public RedisAPI xrange(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### xrangeObservable

          @Deprecated
          public Observable<Response> xrangeObservable(List<String> args)

      Deprecated.

    - #### rxXrange

          public Single<Response> rxXrange(List<String> args)

    - #### xread

          public RedisAPI xread(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### xreadObservable

          @Deprecated
          public Observable<Response> xreadObservable(List<String> args)

      Deprecated.

    - #### rxXread

          public Single<Response> rxXread(List<String> args)

    - #### xreadgroup

          public RedisAPI xreadgroup(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

    - #### xreadgroupObservable

          @Deprecated
          public Observable<Response> xreadgroupObservable(List<String> args)

      Deprecated.

    - #### rxXreadgroup

          public Single<Response> rxXreadgroup(List<String> args)

    - #### xrevrange

          public RedisAPI xrevrange(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

    - #### xrevrangeObservable

          @Deprecated
          public Observable<Response> xrevrangeObservable(List<String> args)

      Deprecated.

    - #### rxXrevrange

          public Single<Response> rxXrevrange(List<String> args)

    - #### xsetid

          public RedisAPI xsetid(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### xsetidObservable

          @Deprecated
          public Observable<Response> xsetidObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxXsetid

          public Single<Response> rxXsetid(String arg0,
                                           String arg1)

    - #### xtrim

          public RedisAPI xtrim(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### xtrimObservable

          @Deprecated
          public Observable<Response> xtrimObservable(List<String> args)

      Deprecated.

    - #### rxXtrim

          public Single<Response> rxXtrim(List<String> args)

    - #### zadd

          public RedisAPI zadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### zaddObservable

          @Deprecated
          public Observable<Response> zaddObservable(List<String> args)

      Deprecated.

    - #### rxZadd

          public Single<Response> rxZadd(List<String> args)

    - #### zcard

          public RedisAPI zcard(String arg0,
                                Handler<AsyncResult<Response>> handler)

    - #### zcardObservable

          @Deprecated
          public Observable<Response> zcardObservable(String arg0)

      Deprecated.

    - #### rxZcard

          public Single<Response> rxZcard(String arg0)

    - #### zcount

          public RedisAPI zcount(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

    - #### zcountObservable

          @Deprecated
          public Observable<Response> zcountObservable(String arg0,
                                                                   String arg1,
                                                                   String arg2)

      Deprecated.

    - #### rxZcount

          public Single<Response> rxZcount(String arg0,
                                           String arg1,
                                           String arg2)

    - #### zincrby

          public RedisAPI zincrby(String arg0,
                                  String arg1,
                                  String arg2,
                                  Handler<AsyncResult<Response>> handler)

    - #### zincrbyObservable

          @Deprecated
          public Observable<Response> zincrbyObservable(String arg0,
                                                                    String arg1,
                                                                    String arg2)

      Deprecated.

    - #### rxZincrby

          public Single<Response> rxZincrby(String arg0,
                                            String arg1,
                                            String arg2)

    - #### zinterstore

          public RedisAPI zinterstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### zinterstoreObservable

          @Deprecated
          public Observable<Response> zinterstoreObservable(List<String> args)

      Deprecated.

    - #### rxZinterstore

          public Single<Response> rxZinterstore(List<String> args)

    - #### zlexcount

          public RedisAPI zlexcount(String arg0,
                                    String arg1,
                                    String arg2,
                                    Handler<AsyncResult<Response>> handler)

    - #### zlexcountObservable

          @Deprecated
          public Observable<Response> zlexcountObservable(String arg0,
                                                                      String arg1,
                                                                      String arg2)

      Deprecated.

    - #### rxZlexcount

          public Single<Response> rxZlexcount(String arg0,
                                              String arg1,
                                              String arg2)

    - #### zpopmax

          public RedisAPI zpopmax(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### zpopmaxObservable

          @Deprecated
          public Observable<Response> zpopmaxObservable(List<String> args)

      Deprecated.

    - #### rxZpopmax

          public Single<Response> rxZpopmax(List<String> args)

    - #### zpopmin

          public RedisAPI zpopmin(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

    - #### zpopminObservable

          @Deprecated
          public Observable<Response> zpopminObservable(List<String> args)

      Deprecated.

    - #### rxZpopmin

          public Single<Response> rxZpopmin(List<String> args)

    - #### zrange

          public RedisAPI zrange(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

    - #### zrangeObservable

          @Deprecated
          public Observable<Response> zrangeObservable(List<String> args)

      Deprecated.

    - #### rxZrange

          public Single<Response> rxZrange(List<String> args)

    - #### zrangebylex

          public RedisAPI zrangebylex(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### zrangebylexObservable

          @Deprecated
          public Observable<Response> zrangebylexObservable(List<String> args)

      Deprecated.

    - #### rxZrangebylex

          public Single<Response> rxZrangebylex(List<String> args)

    - #### zrangebyscore

          public RedisAPI zrangebyscore(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

    - #### zrangebyscoreObservable

          @Deprecated
          public Observable<Response> zrangebyscoreObservable(List<String> args)

      Deprecated.

    - #### rxZrangebyscore

          public Single<Response> rxZrangebyscore(List<String> args)

    - #### zrank

          public RedisAPI zrank(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

    - #### zrankObservable

          @Deprecated
          public Observable<Response> zrankObservable(String arg0,
                                                                  String arg1)

      Deprecated.

    - #### rxZrank

          public Single<Response> rxZrank(String arg0,
                                          String arg1)

    - #### zrem

          public RedisAPI zrem(List<String> args,
                               Handler<AsyncResult<Response>> handler)

    - #### zremObservable

          @Deprecated
          public Observable<Response> zremObservable(List<String> args)

      Deprecated.

    - #### rxZrem

          public Single<Response> rxZrem(List<String> args)

    - #### zremrangebylex

          public RedisAPI zremrangebylex(String arg0,
                                         String arg1,
                                         String arg2,
                                         Handler<AsyncResult<Response>> handler)

    - #### zremrangebylexObservable

          @Deprecated
          public Observable<Response> zremrangebylexObservable(String arg0,
                                                                           String arg1,
                                                                           String arg2)

      Deprecated.

    - #### rxZremrangebylex

          public Single<Response> rxZremrangebylex(String arg0,
                                                   String arg1,
                                                   String arg2)

    - #### zremrangebyrank

          public RedisAPI zremrangebyrank(String arg0,
                                          String arg1,
                                          String arg2,
                                          Handler<AsyncResult<Response>> handler)

    - #### zremrangebyrankObservable

          @Deprecated
          public Observable<Response> zremrangebyrankObservable(String arg0,
                                                                            String arg1,
                                                                            String arg2)

      Deprecated.

    - #### rxZremrangebyrank

          public Single<Response> rxZremrangebyrank(String arg0,
                                                    String arg1,
                                                    String arg2)

    - #### zremrangebyscore

          public RedisAPI zremrangebyscore(String arg0,
                                           String arg1,
                                           String arg2,
                                           Handler<AsyncResult<Response>> handler)

    - #### zremrangebyscoreObservable

          @Deprecated
          public Observable<Response> zremrangebyscoreObservable(String arg0,
                                                                             String arg1,
                                                                             String arg2)

      Deprecated.

    - #### rxZremrangebyscore

          public Single<Response> rxZremrangebyscore(String arg0,
                                                     String arg1,
                                                     String arg2)

    - #### zrevrange

          public RedisAPI zrevrange(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

    - #### zrevrangeObservable

          @Deprecated
          public Observable<Response> zrevrangeObservable(List<String> args)

      Deprecated.

    - #### rxZrevrange

          public Single<Response> rxZrevrange(List<String> args)

    - #### zrevrangebylex

          public RedisAPI zrevrangebylex(List<String> args,
                                         Handler<AsyncResult<Response>> handler)

    - #### zrevrangebylexObservable

          @Deprecated
          public Observable<Response> zrevrangebylexObservable(List<String> args)

      Deprecated.

    - #### rxZrevrangebylex

          public Single<Response> rxZrevrangebylex(List<String> args)

    - #### zrevrangebyscore

          public RedisAPI zrevrangebyscore(List<String> args,
                                           Handler<AsyncResult<Response>> handler)

    - #### zrevrangebyscoreObservable

          @Deprecated
          public Observable<Response> zrevrangebyscoreObservable(List<String> args)

      Deprecated.

    - #### rxZrevrangebyscore

          public Single<Response> rxZrevrangebyscore(List<String> args)

    - #### zrevrank

          public RedisAPI zrevrank(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

    - #### zrevrankObservable

          @Deprecated
          public Observable<Response> zrevrankObservable(String arg0,
                                                                     String arg1)

      Deprecated.

    - #### rxZrevrank

          public Single<Response> rxZrevrank(String arg0,
                                             String arg1)

    - #### zscan

          public RedisAPI zscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

    - #### zscanObservable

          @Deprecated
          public Observable<Response> zscanObservable(List<String> args)

      Deprecated.

    - #### rxZscan

          public Single<Response> rxZscan(List<String> args)

    - #### zscore

          public RedisAPI zscore(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

    - #### zscoreObservable

          @Deprecated
          public Observable<Response> zscoreObservable(String arg0,
                                                                   String arg1)

      Deprecated.

    - #### rxZscore

          public Single<Response> rxZscore(String arg0,
                                           String arg1)

    - #### zunionstore

          public RedisAPI zunionstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

    - #### zunionstoreObservable

          @Deprecated
          public Observable<Response> zunionstoreObservable(List<String> args)

      Deprecated.

    - #### rxZunionstore

          public Single<Response> rxZunionstore(List<String> args)

    - #### newInstance

          public static RedisAPI newInstance(RedisAPI arg)

Copyright © 2019 Eclipse. All rights reserved.